%define subrel 1
%define name smc
%define version 1.9
%define release %mkrel 7

Summary:	Secret Maryo Chronicles - a 2D platform game in classic style
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/smclone/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/smclone/SMC_Music_4.1_high.zip
# suggested in http://thread.gmane.org/gmane.linux.redhat.fedora.rpmfusion.devel/7651/focus=7665
Patch0:		http://repo.calcforge.org/temp/smc-1.9-fix-implicit-linking.patch
# patch from upstream forum
Patch1:		smc-fixes-for-cegui-v0-7.diff
Patch2:		smc-1.9-boostmt.patch
License:	GPLv3+
Group:		Games/Arcade
URL:		http://www.secretmaryo.org/
BuildRequires:	pkgconfig(CEGUI-OPENGL) >= 0.5.0
BuildRequires:	pkgconfig(sdl) >= 1.2.10
BuildRequires:	pkgconfig(x11)
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	boost-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
Requires:       %{name}-data = %{version}

%description
Secret Maryo Chronicles is an open source two-dimensional platform
game with a style designed similar to classic sidescroller games. It 
utilizes the platform independent library SDL and an OpenGL 
accelerated graphics renderer developed in C++.

%package data
Summary: Games data for the %{name} game
Group: Games/Arcade
Conflicts: smc < 1.9-7
BuildArch: noarch

%description data
This package contains data files for %{name} game.

%prep
%setup -q
# The same file is provided twice
unzip -qo %{SOURCE1}
%patch0 -p1 -b .patch0
%patch1 -p1 -b .cegui07
%patch2 -p0 -b .boost

%build
autoreconf -fi
export CFLAGS="%optflags -fpermissive -DBOOST_FILESYSTEM_VERSION=2"
export CXXFLAGS="%optflags -fpermissive -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=Secret Maryo Chronicles
Comment=A 2D platform game in the classic style
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files data
%{_datadir}/%{name}


%changelog

* Fri Jul 13 2012 zezinho <zezinho> 1.9-7.1.mga2
+ Revision: 270644
- require data package #6775

  + fwang <fwang>
    - fix linkage
    - split data pacakge

* Mon Nov 28 2011 fwang <fwang> 1.9-6.mga2
+ Revision: 173654
- rebuild for new boost

* Sun Sep 18 2011 fwang <fwang> 1.9-5.mga2
+ Revision: 145034
- rebuid for new libpng
- br gettext
- fix build with boost-mt

  + stormi <stormi>
    - clean spec

  + zezinho <zezinho>
    - imported package smc


* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.9-4mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Fri Feb 05 2010 Funda Wang <fwang@mandriva.org> 1.9-3mdv2010.1
+ Revision: 501079
- BR CEGUI0.6

* Mon Sep 07 2009 Zombie Ryushu <ryushu@mandriva.org> 1.9-3mdv2010.0
+ Revision: 432509
- Upgrade to version 1.9
- Upgrade to version 1.9

* Mon Aug 24 2009 Funda Wang <fwang@mandriva.org> 1.8-3mdv2010.0
+ Revision: 420247
- rebuild

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.8-2mdv2010.0
+ Revision: 418868
- rebuild for new libboost

* Wed Aug 05 2009 Zombie Ryushu <ryushu@mandriva.org> 1.8-1mdv2010.0
+ Revision: 410302
- remove obsolete patch
- Fix Capitalization error in music
- Upgrade to 1.8 and music version 4.1

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 1.7-4mdv2009.1
+ Revision: 361243
- rebuild for new boost

* Tue Dec 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-3mdv2009.1
+ Revision: 321366
- rebuild for CEGUI

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild with fixed cegui

* Mon Dec 29 2008 Zombie Ryushu <ryushu@mandriva.org> 1.7-1mdv2009.1
+ Revision: 320910
- Bump to version 1.7

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 1.6-3mdv2009.1
+ Revision: 316562
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Dec 04 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-2mdv2009.1
+ Revision: 310003
- rebuild for new CEGUI

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-1mdv2009.1
+ Revision: 291785
- add boost.patch (fix build with recent boost)
- new release 1.6

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new boost

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2009.0
+ Revision: 269261
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Funda Wang <fwang@mandriva.org> 1.5-1mdv2009.0
+ Revision: 210195
- do not need regernate
- New version 1.5

* Thu Dec 27 2007 Funda Wang <fwang@mandriva.org> 1.4-1mdv2008.1
+ Revision: 138438
- link against png manually
- BR libpng
- autogen at first
- New version 1.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Funda Wang <fwang@mandriva.org> 1.3-1mdv2008.1
+ Revision: 119640
- update to new version 1.3

* Wed Nov 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2008.1
+ Revision: 110839
- restore the %%setup dodge, now I understand why it's there...
- fd.o icons
- do %%configure2_5x in %%build, not %%prep
- use proper %%setup macro
- new license policy
- spec clean
- new release 1.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 04 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.0
+ Revision: 58953
- use a valid icon in desktop file

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.org> 1.0-1mdv2008.0
+ Revision: 57284
- own data directory
- add menu entry (#31070)
- improve description
- music 4.0
- new release 1.0

* Thu Apr 26 2007 Erwan Velu <erwan@mandriva.org> 0.99.6-2mdv2008.0
+ Revision: 18401
- Adding music

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.99.6-1mdv2008.0
+ Revision: 18257
- Adding buildrequires
- Import smc

